> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# (International) Retrieve a business profile from any country.

> Using the Company Code retrieved from the search response (see above: https://docs.frankieone.com/reference/internationalbusinesssearch) you can pull back the details of the company.

The FrankieOne platform will save the details of the response as an ORGANISATION type entity with the retrieved profile attached as a report which you can potentially re-retrieve later if you wish.




## OpenAPI

````yaml POST /business/international/profile
openapi: 3.0.0
info:
  description: >
    ------  

    This API allows developers to integrate the Frankie Financial Compliance
    Utility into their applications. The API allows:
      - Checking name, address, date of birth against national databases
      - Validating Australian driver's licences, passports, medicare, visas and other Australian national ID documents
      - Validating Australian electricity bills
      - Validating NZ driver's licences
      - Validating Chinese bank cards and national ID card
      - Validating International passports and national ID documents
      - PEP, Sanctions, Watchlist and adverse media checking
      - Australian visa checks 
      - Fraud list and fraud background checks
      - ID validation and selfie check comparisons.
      
    ------  
     
    KYB specific services

      - Query organisation ownership
      - Perform KYC & AML checks on shareholders, beneficial owners and office bearers.
      - Query credit score and credit reports
      - International company searches
      - International company profiles
      
    ------  

    The full version of this documentation along with supplemental articles can
    be found here:
      - https://docs.frankieone.com/

    ------

    Sandbox base URL is:
      - https://api.uat.frankie.one/compliance/v1.2
      
      - All calls are the same as production, only with test data. You can download the latest test data here: https://docs.frankieone.com/docs/test-data

      - Full Swagger definition, along with test data for playing in the sandbox can be obtained once initial commercial discussions have commenced.

      - Production and optional UAT access will be opened up only to those with a signed commercial contract.
      
    ------  

    Contact us at hello@frankiefinancial.com to speak with a sales rep about
    issuing a Customer ID and Sandbox api key.
  title: Frankie Financial API
  contact:
    email: help@frankieone.com
  version: 1.15.3
servers:
  - url: https://api.uat.frankie.one/compliance/v1.2
security:
  - api_key: []
tags:
  - description: >-
      Service status functions you can use to make sure things are up and
      running.
    name: Status
  - description: Operations on specific ID documents, specific to an entity (people).
    name: Document
  - description: Operations on specific entities (people / companies / etc)
    name: Entity
  - description: Operations on entities that are set to type ORGANISATION
    name: Business
  - description: >-
      These are callback/webhook functions. If you've requested a callback, this
      will be what is sent to you. You do not need to implement these as a
      client, but you do need to be able to accept them as a server.
    name: Push Notification
  - description: Functions used for retrieving past results
    name: Retrieve
  - description: Operations on entities to set specific flags and states.
    name: Flag
paths:
  /business/international/profile:
    post:
      tags:
        - Business
      summary: (International) Retrieve a business profile from any country.
      description: >
        Using the Company Code retrieved from the search response (see above:
        https://docs.frankieone.com/reference/internationalbusinesssearch) you
        can pull back the details of the company.


        The FrankieOne platform will save the details of the response as an
        ORGANISATION type entity with the retrieved profile attached as a report
        which you can potentially re-retrieve later if you wish.
      operationId: InternationalBusinessProfile
      parameters:
        - description: >
            Customer ID issued by Frankie Financial. This will never change.
            Your API key, which is mapped to this identity, will change over
            time.
          name: X-Frankie-CustomerID
          in: header
          required: true
          schema:
            type: string
            format: uuid
        - description: >
            If, as a Frankie Customer, you are acting on behalf of your own
            customers, then you can populate this field with a Frankie-assigned
            ID.


            Note: If using a CustomerChildID, you will also need a separate
            api_key for each child.


            Any documents, checks, entities that are created when this field has
            been populated will now be tied to this CustomerID + CustomerChildID
            combination. Just as Customers cannot see data created by other
            Customers, so too a Customer's Children will not be able to see each
            other's data.


            A Customer can see the documents/entities and checks of all their
            Children.
          name: X-Frankie-CustomerChildID
          in: header
          schema:
            type: string
            format: uuid
        - description: >
            Open string that can be used to define the "channel" the request
            comes in from.

            It can potentially be used in routing and risk calculations upon
            request.

            Default values that can be used are:
              - api
              - portal
              - smartui

            Any alphanumeric string is supported though. Anything over 64
            characters will be truncated.
          name: X-Frankie-Channel
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InternationalBusinessProfileCriteria'
        description: >
          The country, company code and optional registry of the organisation to
          be queried.
        required: true
      responses:
        '200':
          description: >-
            The request was valid and was successfully processed. The search has
            been carried out and the results are attached.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternationalBusinessProfileResponse'
        '400':
          description: >-
            Bad request. One or more request fields is either missing or
            incorrect. Details are in the error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '401':
          description: >
            The request has failed an authorisation check. This can happen for a
            variety of reasons, such as an invalid or expired API key, or
            invalid Customer/CustomerChildIDs. 

            * NOTE: This does not include attempts to read/write data you don't
            have access to - that's a 404 error (as we don't want to leak
            information through guessing)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '404':
          description: >-
            Cannot return response. In the case of a query, or reference to a
            specific entity/check/etc, it means that the requested item was not
            found, or you don't have access to it. Please check your query
            before trying again.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '405':
          description: >-
            A request to POST an update to an object was not allowed due to it's
            state. This may indicate an already completed check, or a document
            that has been processed. You need to create a new document/check if
            you wish to update the object in question.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '429':
          description: >-
            The API client is making too many concurrent requests, and some are
            being throttled. Throttled requests can be retried after a short
            delay.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '500':
          description: Unexpected error. Something went wrong during the checking process.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '503':
          description: >-
            All of the ID sources configured by the customer are unavailable, or
            there is no available document processor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
components:
  schemas:
    InternationalBusinessProfileCriteria:
      description: >
        Object to supply the country code and company code whose details you
        wish to retrieve.
      type: object
      required:
        - country
      properties:
        company_code:
          description: |
            This is the company number returned in the search results

            (InternationalBusinessSearchResponse.Companies.CompanyDTO[n].Code)
          type: string
        country:
          description: >
            The ISO 3166-1 alpha2 country code of country registry you wish to
            search.

            This is consistent for all countries except for:

              - The United States which requires the state registry to query as well.
                - As an example, for a Delaware query, the country code would be "US-DE".
                - A Texas query would use "US-TX"
              - Canada, which also requires you to supply a territory code too.
                - A Yukon query would use CA-YU, Manitoba would use CA-MB
                - You can do an all jurisdiction search with CA-ALL

              See details here:
                https://docs.frankieone.com/docs/country-codes-for-international-business-queries
          type: string
        registration_authority_code:
          description: >
            The registration authority code you wish to search on. This will be
            used when the country you are searching has multiple registration
            authorities.
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: InternationalBusinessProfileCriteria
    InternationalBusinessProfileResponse:
      description: |
        This wraps the search response details from Kyckr
      type: object
      properties:
        CompanyProfile:
          $ref: '#/components/schemas/CompanyProfileDTO'
        checkId:
          description: |
            Unique ID for the individual check that was run.
          type: string
          format: uuid
        entityCreatedDate:
          description: |
            The date and time this entity was created in our service.
          type: string
          format: date-time
        entityId:
          description: >
            If the response was successful and we returned a company profile, we
            save this as an ORGANISATION type entity in our service.

            We will also save the profile result as a REPORT type document,
            attached to the entity.
          type: string
          format: uuid
          example: 84a9a860-68ae-4d7d-9a53-54a1116d5051
        entityUpdatedDate:
          description: |
            The date and time this entity was last updated in our service.
          type: string
          format: date-time
        ibResponseCode:
          description: service provider response code
          type: integer
        ibResponseDetails:
          type: string
        ibRetrievalLocation:
          type: string
        ibTransactionId:
          description: service provider ID
          type: string
        requestId:
          $ref: '#/components/schemas/RequestIDObject'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: InternationalBusinessProfileResponse
    ErrorObject:
      type: object
      required:
        - requestId
        - errorCode
        - errorMsg
      properties:
        commit:
          description: Server version indication
          type: string
          example: 2af478ed
        errorCode:
          description: Frankie error code
          type: string
          example: CORE-5990
        errorMsg:
          description: Will describe the error
          type: string
          example: Everything went kaflooey. Stay clam.
        httpStatusCode:
          description: |
            Deprecated:
            HTTP status code. Same as that which is passed back in the header.
          type: integer
          example: 501
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorObjectIssues'
          x-omitempty: true
        requestId:
          $ref: '#/components/schemas/RequestIDObject'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ErrorObject
    CompanyProfileDTO:
      type: object
      properties:
        Activity:
          $ref: '#/components/schemas/ArrayOfActivityDTO'
        ActivityDeclaration:
          $ref: '#/components/schemas/ArrayOfActivityDeclarationDTO'
        Addresses:
          $ref: '#/components/schemas/ArrayOfAddressDTO'
        AgentAddress:
          type: string
        AgentName:
          type: string
        Aliases:
          $ref: '#/components/schemas/ArrayOfString'
        AliasesList:
          $ref: '#/components/schemas/ListOfString'
        AppointmentDateOfOfficial:
          type: string
        Capital:
          $ref: '#/components/schemas/ArrayOfCapitalDTO'
        Code:
          type: string
        CompanyNameInEnglish:
          type: string
        Date:
          type: string
        Email:
          type: string
        FaxNumber:
          type: string
        FiscalCode:
          type: string
        FoundationDate:
          type: string
        Functions:
          $ref: '#/components/schemas/ArrayOfString'
        FunctionsList:
          $ref: '#/components/schemas/ListOfString'
        Headquarters:
          type: string
        KeyFigures:
          $ref: '#/components/schemas/ArrayOfString'
        KeyFiguresList:
          $ref: '#/components/schemas/ListOfString'
        LastAnnualAccountDate:
          type: string
        LegalForm:
          type: string
        LegalFormDeclaration:
          type: string
        LegalFormDetails:
          $ref: '#/components/schemas/LegalFormDTO'
        LegalStatus:
          type: string
        MailingAddress:
          type: string
        Name:
          type: string
        NormalisedLegalForm:
          description: |
            Contact our operations team to enable this normalisation field
          type: string
          example: PUBLIC COMPANY
        NormalisedLegalStatus:
          type: string
        NormalisedRegistrationDate:
          description: |
            Contact our operations team to enable this normalisation field
          type: string
          example: '2023-04-23'
        Official:
          type: boolean
        RegistrationAuthority:
          type: string
        RegistrationAuthorityCode:
          type: string
        RegistrationDate:
          type: string
        RegistrationNumber:
          type: string
        SigningDeclaration:
          type: string
        SigningDeclarationDescription:
          type: string
        SigningLanguage:
          type: string
        Source:
          type: string
        StateOfIncorporation:
          type: string
        TelephoneNumber:
          type: string
        VatNumber:
          type: string
        VirtualId:
          type: string
        WebsiteURL:
          type: string
        directorAndShareDetails:
          $ref: '#/components/schemas/DirectorAndShareDetails'
        officers:
          $ref: '#/components/schemas/ArrayOfUSOfficerDTO'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: CompanyProfileDTO
    RequestIDObject:
      description: >
        Unique identifier for every request. Can be used for tracking down
        answers with technical support. 


        Uses the ULID format (a time-based, sortable UUID)


        Note: this will be different for every request.
      type: string
      format: ulid
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: RequestIDObject
      example: 01BFJA617JMJXEW6G7TDDXNSHX
    ErrorObjectIssues:
      type: object
      required:
        - issueLocation
      properties:
        issue:
          description: Description of the problem
          type: string
          example: Invalid format. Must be YYYY-MM-DD
        issueLocation:
          description: Will describe the field or data location of the issue
          type: string
          example: dateOfBirth
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ErrorObjectIssues
    ArrayOfActivityDTO:
      type: object
      properties:
        ActivityDTO:
          type: array
          items:
            $ref: '#/components/schemas/ActivityDTO'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfActivityDTO
    ArrayOfActivityDeclarationDTO:
      type: object
      properties:
        ActivityDeclarationDTO:
          type: array
          items:
            $ref: '#/components/schemas/ActivityDeclarationDTO'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfActivityDeclarationDTO
    ArrayOfAddressDTO:
      type: object
      properties:
        Addresses:
          type: array
          items:
            $ref: '#/components/schemas/AddressDTO'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfAddressDTO
    ArrayOfString:
      type: object
      properties:
        AddressLine:
          type: array
          items:
            type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfString
    ListOfString:
      type: array
      items:
        type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ListOfString
    ArrayOfCapitalDTO:
      type: object
      properties:
        CapitalDTO:
          type: array
          items:
            $ref: '#/components/schemas/CapitalDTO'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfCapitalDTO
    LegalFormDTO:
      type: object
      properties:
        Basis:
          type: string
        Capital:
          type: string
        Comments:
          type: string
        Control:
          type: string
        Incorp:
          type: string
        Partner:
          type: string
        Responsibility:
          type: string
        Stocks:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: LegalFormDTO
    DirectorAndShareDetails:
      type: object
      properties:
        PersonsOfSignificantControl:
          $ref: '#/components/schemas/ArrayOfPSCDetails'
        capitalReserves:
          $ref: '#/components/schemas/CapitalReserves'
        directors:
          $ref: '#/components/schemas/ArrayOfDirector'
        shareHolderSummary:
          $ref: '#/components/schemas/ShareholderSummary'
        shareHolders:
          $ref: '#/components/schemas/ArrayOfShareholderDetails'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: DirectorAndShareDetails
    ArrayOfUSOfficerDTO:
      type: object
      properties:
        USOfficerDTO:
          type: array
          items:
            $ref: '#/components/schemas/USOfficerDTO'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfUSOfficerDTO
    ActivityDTO:
      type: object
      properties:
        Code:
          type: string
        Description:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ActivityDTO
    ActivityDeclarationDTO:
      type: object
      properties:
        Declaration:
          type: string
        DeclarationDescription:
          type: string
        Language:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ActivityDeclarationDTO
    AddressDTO:
      type: object
      properties:
        AddressInOneLine:
          type: string
        AddressLine1:
          type: string
        AddressLine2:
          type: string
        AddressLine3:
          type: string
        AddressLine4:
          type: string
        AddressLine5:
          type: string
        CityTown:
          type: string
        ConcatenatedAddress:
          description: >
            This field is the concatenated version of the AddressLine1 -
            AddressLine5 fields. Contact our operations team to enable this
            field
          type: string
        Country:
          type: string
        Email:
          type: string
        FaxNumber:
          type: string
        Line:
          $ref: '#/components/schemas/ArrayOfAddressLineDTO'
        Postcode:
          type: string
        RegionState:
          type: string
        TelephoneNumber:
          type: string
        Type:
          type: string
        TypeCode:
          type: string
        WebsiteUrl:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: AddressDTO
    CapitalDTO:
      type: object
      properties:
        Ammount:
          type: string
        Currency:
          type: string
        Type:
          type: string
        TypeCode:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: CapitalDTO
    ArrayOfPSCDetails:
      type: object
      properties:
        PSCDetails:
          type: array
          items:
            $ref: '#/components/schemas/PSCDetails'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfPSCDetails
    CapitalReserves:
      type: object
      properties:
        capitalreserves:
          type: string
        networth:
          type: string
        paidupequity:
          type: string
        profitlossreserve:
          type: string
        reserves:
          type: string
        revalutationreserve:
          type: string
        shareholderfunds:
          type: string
        sundryreserves:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: CapitalReserves
    ArrayOfDirector:
      type: object
      properties:
        Director:
          type: array
          items:
            $ref: '#/components/schemas/Director'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfDirector
    ShareholderSummary:
      type: object
      properties:
        shareCapital:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ShareholderSummary
    ArrayOfShareholderDetails:
      type: object
      properties:
        ShareholderDetails:
          type: array
          items:
            $ref: '#/components/schemas/ShareholderDetails'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfShareholderDetails
    USOfficerDTO:
      type: object
      properties:
        Address:
          type: string
        BusinessAddress:
          $ref: '#/components/schemas/ArrayOfString1'
        Date:
          type: string
        MailingAddress:
          type: string
        Name:
          type: string
        Title:
          type: string
        Type:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: USOfficerDTO
    ArrayOfAddressLineDTO:
      type: object
      properties:
        AddressLineDTO:
          type: array
          items:
            $ref: '#/components/schemas/AddressLineDTO'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfAddressLineDTO
    PSCDetails:
      type: object
      properties:
        Address:
          type: string
        CeasedOn:
          type: string
        CountryOfResidence:
          type: string
        DOBDay:
          type: integer
          format: int64
        DOBMonth:
          type: integer
          format: int64
        DOBYear:
          type: integer
          format: int64
        Kind:
          type: string
        Name:
          type: string
        Nationality:
          type: string
        NatureOfControl:
          $ref: '#/components/schemas/ArrayOfString'
        NatureOfControlList:
          $ref: '#/components/schemas/ListOfString'
        NotifiedOn:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: PSCDetails
    Director:
      type: object
      properties:
        address1:
          type: string
        address2:
          type: string
        address3:
          type: string
        address4:
          type: string
        address5:
          type: string
        address6:
          type: string
        birthdate:
          type: string
        directorNumber:
          type: string
        directorships:
          $ref: '#/components/schemas/ArrayOfDirectorship'
        name:
          type: string
        nationality:
          type: string
        postcode:
          type: string
        title:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: Director
    ShareholderDetails:
      type: object
      properties:
        address:
          type: string
        allInfo:
          type: string
        currency:
          type: string
        id:
          type: string
        name:
          type: string
        nationality:
          type: string
        nominalValue:
          type: string
        percentage:
          type: string
        shareClass:
          type: string
        shareCount:
          type: integer
          format: int64
        shareType:
          type: string
        shareholderType:
          type: string
        totalShareCount:
          type: integer
          format: int64
        totalShareValue:
          type: integer
          format: int64
        totalShares:
          type: integer
          format: int64
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ShareholderDetails
    ArrayOfString1:
      type: object
      properties:
        AddressLine:
          type: array
          items:
            type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfString1
    AddressLineDTO:
      type: object
      properties:
        Line:
          type: string
        Type:
          type: string
        TypeCode:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: AddressLineDTO
    ArrayOfDirectorship:
      type: object
      properties:
        Directorship:
          type: array
          items:
            $ref: '#/components/schemas/Directorship'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ArrayOfDirectorship
    Directorship:
      type: object
      properties:
        appointedDate:
          type: string
        companyName:
          type: string
        companyNumber:
          type: string
        companyStatus:
          type: string
        function:
          type: string
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: Directorship
  securitySchemes:
    api_key:
      description: API key issued by Frankie Financial. This will rotate regularly.
      type: apiKey
      name: api_key
      in: header

````